# Load the Module::Install bundled in ./inc/
use inc::Module::Install;

# Define metadata
name            'ACL2-Procesador';
license         'gpl';
all_from        'lib/ACL2/Procesador.pm';

# Specific dependencies
perl_version    '5.6.1';
requires        'File::Spec'     => '0.80';
requires        'XML::Writer'    => '0.6';
requires        'File::Spec'     => '3.0';
requires        'Pod::Usage'     => '1.3';
requires        'Getopt::Long'   => '2.3';
requires        'File::ShareDir' => '0.05';
requires        'FindBin'        => '1.4';
build_requires  'Test::More'     => '0.42';
build_requires  'Test::Pod::Coverage' => '1.04';
build_requires  'Test::Pod' => '1.14';
build_requires  'XML::Validate'  => '1.0';
build_requires  'XML::LibXML' => '1.63';
build_requires  'XML::SemanticDiff' => '0.95';
build_requires  'PAR::Packer' => '0.97';

install_script 'script/pprocACL2';
install_share 'share';

requires_external_bin 'acl2';

auto_install;
WriteAll;
